# generated by cabal-rpm-2.0.9
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name HsOpenSSL
%global pkgver %{pkg_name}-%{version}

# DSA test failing for Fedora
# https://github.com/vshabanov/HsOpenSSL/issues/49
%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        0.11.7.2
Release:        2%{?dist}
Summary:        Partial OpenSSL binding for Haskell

# see also the ChangeLog entry for 2013-11-07
License:        CC0
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkgver}/%{pkg_name}.cabal#/%{pkgver}.cabal
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  dos2unix
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-network-prof
BuildRequires:  ghc-time-prof
BuildRequires:  openssl-devel
# End cabal-rpm deps

%description
HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA and DSA keys,
read and write PEM files, generate message digests, sign and verify messages,
encrypt and decrypt messages. It has also some capabilities of creating SSL
clients and servers.

This package is in production use by a number of Haskell based systems and stable.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       openssl-devel%{?_isa}
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
dos2unix -k -n %{SOURCE1} %{pkg_name}.cabal
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%check
%if %{with tests}
%cabal_test
%endif


%files -f %{name}.files
# Begin cabal-rpm files:
%license COPYING
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc AUTHORS ChangeLog README.md examples


%if %{with haddock}
%files doc -f %{name}-doc.files
%license COPYING
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 06 2021 Jens Petersen <petersen@redhat.com> - 0.11.7.2-1
- update to 0.11.7.2, which should support openssl-3.0

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 0.11.7.1-2
- Rebuilt with OpenSSL 3.0.0

* Thu Aug 05 2021 Jens Petersen <petersen@redhat.com> - 0.11.7.1-1
- update to 0.11.7.1

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 0.11.7-1
- update to 0.11.7

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 0.11.5.1-1
- update to 0.11.5.1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.4.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.4.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.4.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 17 2020 Jens Petersen <petersen@redhat.com> - 0.11.4.18-2
- refresh to cabal-rpm-2.0.6

* Wed Jul 01 2020 Jens Petersen <petersen@redhat.com> - 0.11.4.18-1
- update to 0.11.4.18

* Sat Jun 27 2020 Jens Petersen <petersen@redhat.com> - 0.11.4.16-1
- spec file generated by cabal-rpm-2.0.6
